/* scroolbar 
body ::-webkit-scrollbar {
  height: 16px;
  overflow: visible;
  width: 16px;
}
body ::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, .2);
  background-clip: padding-box;
  border: solid transparent;
  min-height: 28px;
  padding: 100px 0 0;
  box-shadow: inset 1px 1px 0 rgba(0,0,0,.1), inset 0 -1px 0 rgba(0,0,0,.07);
  border-width: 1px 1px 1px 6px;
}

body ::-webkit-scrollbar-track {
  background-clip: padding-box;
  border: solid transparent;
  border-width: 0 0 0 4px;
  }
body ::-webkit-scrollbar-corner {
  background: transparent;
}
*/

/* body */
html, body {
  font: 15px normal Trebuchet, Arial, sans-serif;
  color: #444;
  margin: 0;
  height: 100%;
  width: 100%;
  overflow: visible;
  min-height: 800px;
  min-width: 1200px;
}
body {
  background: -webkit-radial-gradient(center center, #fff, #eee) no-repeat;
  background: -moz-radial-gradient(center center, #fff, #eee) no-repeat;
  background: -ms-radial-gradient(center center, #fff, #eee) no-repeat;
  background: -o-radial-gradient(center center, #fff, #eee) no-repeat;
  color: #222;
  -webkit-transition: -webkit-transform 300ms ease-in-out;
  -webkit-transform-origin: 50% 100%;
  -webkit-font-smoothing: antialiased;
  -moz-transition: -moz-transform 300ms ease-in-out;
  -moz-transform-origin: 50% 100%;
  -moz-font-smoothing: antialiased;
  -ms-transition: -moz-transform 300ms ease-in-out;
  -ms-transform-origin: 50% 100%;
  -ms-font-smoothing: antialiased;
  -o-transition: -moz-transform 300ms ease-in-out;
  -o-transform-origin: 50% 100%;
  -o-font-smoothing: antialiased;
}

/* header and footer */
header, footer {
  padding: 2px 0;
  border-radius: 5px;
  box-shadow: 0 5px 5px #ccc;
  background: white;
  background: rgb(207,231,250);
  background: -webkit-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  background: -moz-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  background: -ms-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  background: -o-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select:none;
  user-select: none;
  -webkit-transform: translateY(0) translateZ(0);
  -webkit-transition: -webkit-transform 1s ease-in-out;
  /*-webkit-transition-delay: 0.5s;*/
  -moz-transform: translateY(0) translateZ(0);
  -moz-transition: -moz-transform 1s ease-in-out;
  -ms-transform: translateY(0) translateZ(0);
  -ms-transition: -ms-transform 1s ease-in-out;
  -o-transform: translateY(0) translateZ(0);
  -o-transition: -o-transform 1s ease-in-out;
}
footer {
  height: 20px;
  margin-top: 1px;
  clear: both;
  color: white;
  padding: 2px;
  padding-left: 28px;
  font-size: 12px;
}
.offscreen header {
  -webkit-transform: translateY(-500px);
  -moz-transform: translateY(-500px);
  -ms-transform: translateY(-500px);
  -o-transform: translateY(-500px);
}
.offscreen footer {
  -webkit-transform: translateY(500px);
  -moz-transform: translateY(500px);
  -ms-transform: translateY(500px);
  -o-transform: translateY(500px);
}
header {
  height: 40px;
  padding: 5px 20px 0 20px;
}
header > div {
  text-align: right;
  display: inline;
}
header > div[maintoolbar] {
  float: right;
}
header > div > span {
  border-right: 2px solid rgba(255,255,255,0.25);
  padding: 0 10px;
  vertical-align: middle;
  color: white;
}
header > div > span:last-child {
  border-right: none;
}
header > div > span a {
  color: inherit;
  font-weight: bold;
}
header img {
  height: 45px;
  width: 45px;
  margin: -10px 7px 0 7px;
}
header h1 {
  font-family: verdana;
  font-size: 18px;
  color: white;
  display: inline;
/*  -webkit-flex: 1 0 auto; */
}
header h1 a {
  color: inherit;
}
header .active {
  text-decoration: underline;
}

/* general styles */
input {
  vertical-align: middle;
}
label {
  cursor: pointer;
  margin-left: 3px;
}
a {
  color: navy;
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
ul, li {
  margin: 0;
  padding: 0;
  list-style: none;
}
li {
  padding-bottom: 2px;
}

/* errors */
#errors:not(:empty) {
  margin: 15px 0 -15px 0;
  text-align: center;
}
#errors::before {
  content: '';
}
.error {
  color: red !important;
}
.error::before {
  content: 'Error: ';
}

/* ticker */
#ticker {
  opacity: 0;
  -webkit-transition: opacity 1s ease-in-out;
  -moz-transition: opacity 1s ease-in-out;
  -ms-transition: opacity 1s ease-in-out;
  -o-transition: opacity 1s ease-in-out;
}
#ticker.fadedIn {
  opacity: 1;
}
#ticker .icon {
  height: 25px;
  width: 25px;
  vertical-align: middle;
}

/* create folder */
#myfile {
    display: none;
}

/* input with CWD */
#cwd {
  width: 80%;
  -webkit-user-select: none;
  user-select: none;
  -moz-user-select: none;
}

/* drag and drop and container */
.dropping {
  -webkit-transform: scale(0.95);
  -moz-transform: scale(0.95);
  -ms-transform: scale(0.95);
  -o-transform: scale(0.95);
  background-image: -webkit-gradient(
    linear, left bottom, left top,
    color-stop(0.13, rgb(209,144,23)),
    color-stop(0.57, rgb(251,173,51)),
    color-stop(0.79, rgb(255,208,77))
  );
  background-image: -moz-gradient(
    linear, left bottom, left top,
    color-stop(0.13, rgb(209,144,23)),
    color-stop(0.57, rgb(251,173,51)),
    color-stop(0.79, rgb(255,208,77))
  );
  background-image: -ms-gradient(
    linear, left bottom, left top,
    color-stop(0.13, rgb(209,144,23)),
    color-stop(0.57, rgb(251,173,51)),
    color-stop(0.79, rgb(255,208,77))
  );
  background-image: -o-gradient(
    linear, left bottom, left top,
    color-stop(0.13, rgb(209,144,23)),
    color-stop(0.57, rgb(251,173,51)),
    color-stop(0.79, rgb(255,208,77))
  );
}
.dropping #container {
  background: white;
  border-radius: 10px;
  opacity: 0.8;
}
body #container {
  padding: 1em 0 0 0;
  position: absolute;
  height: 900px;
  width: 1150px;
}

/* link to path folder */
#path {
	display: scroll;
}
#path li .pathFolder img {
  height: 40px;
  width: 40px;
  margin-left: 5px;
  vertical-align: bottom;
}

/* title editable */
[contenteditable] {
  border: 1px dashed transparent;
  outline: none;
  border-radius: 5px;
}
[contenteditable]:hover {
  border: 1px dashed #999;
}

#viewmodel {
	  float: none;
	  clear: both;
	  height: 750px;
	  display: inline-block;
	  overflow-y: auto;
	  overflow-x: hidden;
	  border: 1px solid #eee;
	  border-radius: 7px;
	  box-shadow: 0 -2px 3px #ddd inset, 0 2px 3px #ddd inset;
	  padding: 10px;
	  background: -webkit-linear-gradient(#fff 80%, #eee);
	  background: -moz-linear-gradient(#fff 80%, #eee);
	  background: -o-linear-gradient(#fff 80%, #eee);
	  background: -ms-linear-gradient(#fff 80%, #eee);
	  box-sizing: border-box;
	  width: 100%;
	  display: none;
}

/* files (LARGE) */
	#files.large {
	  float: left;
	  clear: both;
	  height: 400px;
	  display: inline-block;
	  overflow-y: overlay;
	  overflow-x: hidden;
	  border: 1px solid #eee;
	  border-radius: 7px;
	  box-shadow: 0 -2px 3px #ddd inset, 0 2px 3px #ddd inset;
	  padding: 10px;
	  background: -webkit-linear-gradient(#fff 80%, #eee);
	  background: -moz-linear-gradient(#fff 80%, #eee);
	  background: -o-linear-gradient(#fff 80%, #eee);
	  background: -ms-linear-gradient(#fff 80%, #eee);
	  box-sizing: border-box;
	}
	#files.large li {
	  -webkit-transition: all 0.2s ease-out;
	  -webkit-column-break-inside: avoid;
	  -moz-transition: all 0.2s ease-out;
	  -moz-column-break-inside: avoid;
	  -ms-transition: all 0.2s ease-out;
	  -ms-column-break-inside: avoid;
	  -o-transition: all 0.2s ease-out;
	  -o-column-break-inside: avoid;
	  white-space: nowrap;
	  padding: 0px 20px 0px 0px;
	  border-radius: 12px;
	  border: 3px solid transparent;
	}
	#files.large li.on {
	  background: rgba(207,231,250,1);
	  border-color: rgba(99,147,193,1);
	}	
	#files.large li > a {
	  font-size: small;
	}
	#files.large li.fadeout {
	  opacity: 0;
	}	
	#files.large {
	  float: none;
	  width: 100%;
	  height: 750px;
	  /*height: auto;*/
	}
	#files.large li {
	    float:left;
	    width: 25%;
	    margin-right: 80px;
	}
	#files.large li:nth-child(3n){
	    margin-right:0;
	}
	#files.large li:nth-child(3n+1){
	    clear:both;
	}
	
	/* author img and text */
	#files.large li div[data-authorsimg] {
	  float: left;	
	}
	#files.large li div[data-authorsimg] img {
	  margin: 2px 5px;
	  max-width: 50px;
	  max-height: 50px;
	}
	#files.large li div[data-authors] {
	  width: 220px;
	  text-overflow: ellipsis;
	  overflow: hidden;	  
	}	
	#files.large li div[data-authors] span {
	  padding: 1px 1px;
	  white-space: nowrap;
	}	

	/* file data */
	#files.large li div[data-filename] {
	  width: 220px;
	  padding: 1px 1px;
	  white-space: nowrap;
	  overflow: hidden;
	  text-overflow: ellipsis;
	  /* text-align: center; */
	  font-weight: bold;
	}
	#files.large li div[data-filename]:hover {
	  /* overflow: visible; */
	  /* text-align: center; */  
	}
	
	/* file logo */
	#files.large li div[data-img] {
	  height: 180px;
	  width: 320px;
	  border-style: solid;
	  border-width: 1px;
	  border-radius: 5px;
	}
	#files.large li div[data-img].folder {
	  border-color: blue;
	}
	#files.large li div[data-img].file {
	  border-color: red;
	}
	#files.large li div[data-img].file,
	#files.large li div[data-img].folder {
	  cursor: pointer;
	}
	#files.large img.logo {
	  height: 96%;
	  max-width: 96%;
	  padding: 1%;
	  display: block;
	  margin: 0 auto;  
	}

	/* menu */
	#files.large img.icon {
	  border-width: 0px;
	}
	#files.large li:hover img.icon {
	  opacity: 0.25;
	}
	#files.large li a img.icon {
	  height: 25px;
	  width: 25px;
	  opacity: 0;
	  margin: 0 6px 0px 6px;	  	  
	  /*-webkit-transition: opacity 0.4s ease-out;*/
	}
	#files.large li a[download] img.icon {
	  height: 21px;
	  width: 21px;
	  margin: 0 2px 0 6px;
	}
	#files.large li a[newtab] img.icon {
	  height: 21px;
	  width: 21px;
	  margin: 0 0 2px 6px;	  
	}
	#files.large li a img.icon:hover {
	  opacity: 1;
	}
	#files.large li a[data-preview-link] img.icon {
	  width: 0px;
	  height: 0px;
	}	

/* files (SMALL) */
	#files.small {
	  float: left;
	  clear: both;
	  height: 400px;
	  display: inline-block;
	  overflow-y: overlay;
	  overflow-x: hidden;
	  border: 1px solid #eee;
	  border-radius: 7px;
	  box-shadow: 0 -2px 3px #ddd inset, 0 2px 3px #ddd inset;
	  padding: 4px;
	  background: -webkit-linear-gradient(#fff 80%, #eee);
	  background: -moz-linear-gradient(#fff 80%, #eee);
	  background: -o-linear-gradient(#fff 80%, #eee);
	  background: -ms-linear-gradient(#fff 80%, #eee);
	  box-sizing: border-box;
	}
	#files.small li {
	  -webkit-transition: all 0.2s ease-out;
	  -webkit-column-break-inside: avoid;
	  -moz-transition: all 0.2s ease-out;
	  -moz-column-break-inside: avoid;
	  -ms-transition: all 0.2s ease-out;
	  -ms-column-break-inside: avoid;
	  -o-transition: all 0.2s ease-out;
	  -o-column-break-inside: avoid;
	  white-space: nowrap;
	  padding: 1px;
	  border-radius: 12px;
	  border: 3px solid transparent;
	}
	#files.small li.on {
	  background: rgba(207,231,250,1);
	  border-color: rgba(99,147,193,1);
	}	
	#files.small li > a {
	  font-size: small;
	}
	#files.small li.fadeout {
	  opacity: 0;
	}	
	#files.small {
	  float: none;
	  width: 100%;
	  height: 750px;
	  /*height: auto;*/
	}
	#files.small li {
	    float:left;
	    width: 14%;
	    margin-right:58px;
	    padding-bottom: 2px;
	}
	#files.small li:nth-child(5n){
	    margin-right:0;
	}
	#files.small li:nth-child(5n+1){
	    clear:both;
	}

	/* author img and text */
	#files.small li div[data-authorsimg] {
	  width: 0px;
	  height: 0px;
	}	
	#files.small li div[data-authorsimg] img {
	  width: 0px;
	  height: 0px;
	}	
	#files.small li div[data-authors] {
	  width: 0px;
	  height: 0px;
	}	
	#files.small li div[data-authors] span {
	  font-size: 0px;
	}	
	
	/* file data */
	#files.small li div[data-filename] {
	  width: 220px;
	  padding: 1px 2px;
	  white-space: nowrap;
	  overflow: hidden;
	  text-overflow: ellipsis;
	  text-align: center;	  
	  font-weight: bold;	  
	}
	#files.small li div[data-filename]:hover {
	  /* overflow: visible; */
	  text-align: center;  
	}
	
	/* file logo */
	#files.small li div[data-img] {
	  height: 135px;
	  width: 220px;
	  border-style: solid;
	  border-width: 1px;
	  border-radius: 5px;
	}
	#files.small li div[data-img].folder {
	  border-color: blue;
	}
	#files.small li div[data-img].file {
	  border-color: red;
	}
	#files.small li div[data-img].file,
	#files.small li div[data-img].folder {
	  cursor: pointer;
	}
	#files.small img.logo {
	  height: 96%;
	  max-width: 96%;
	  padding: 1%;
	  display: block;
	  margin: 0 auto;  
	}

	/* menu */
	#files.small img.icon {
	  border-width: 0px;
	}
	#files.small li:hover img.icon {
	  opacity: 0.25;
	}
	#files.small li a img.icon {
	  height: 25px;
	  width: 25px;
	  opacity: 0;
	  margin: 0 4px 0px 4px;	  	  	  
	  /*-webkit-transition: opacity 0.4s ease-out;*/
	}
	#files.small li a[download] img.icon {
	  height: 21px;
	  width: 21px;
	  margin: 0 2px 0 4px;
	}
	#files.small li a[newtab] img.icon {
	  height: 21px;
	  width: 21px;
	  margin: 0 0 2px 4px;	  
	}	
	#files.small li a img.icon:hover {
	  opacity: 1;
	}

/* file information  */
#file-info {
  position: absolute;
  top: 10px;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  box-sizing: border-box;
  text-align: center;
  padding: 200px 0;
  display: none;
}
#file-info.show {
  z-index: 1000;
  display: block;
}
#file-info > div,
#file-info p {
  padding: 10px;
  background: #fff;
  margin-bottom: 2em;
  box-shadow: 0 0 15px #222;
}
#file-info p {
  display: inline-block;
  margin: 1em 0 0 0;
  padding: 5em;
}
#file-info textarea {
  width: 400px;
  height: 100px;
}
#file-info img {
  max-height: 350px;
  border-radius: 5px;
  box-shadow: 0 0 15px #222;
}
#file-info iframe {
  width: 500px;
  height: 300px;
}

/* Digital Libraries popup */
#libraries-nav {
  position: absolute;
  top: 10px;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  box-sizing: border-box;
  text-align: center;
  padding: 130px 0;
  display: none;
}
#libraries-nav.show {
  z-index: 1000;
  display: block;
}
#libraries-nav iframe {
  width: 70%;
  height: 80%;
}
#libraries-nav div {
  padding: 10px;
  background: #fff;
  margin-bottom: 2em;
  box-shadow: 0 0 15px #222;
}

/* toolbar icons of the main page*/
.ui-button-icon-only .ui-icon {
	top: 0%;
	left: 0%;
	margin-left: 0px;
	margin-top: 0px;
}

.ui-myicon-upload { 
	 width: 35px; height: 35px; 
	 background-image: url(../images/icons/upload.png) !important;
	 background-size: cover;
	 background-position: 0px 0px;
}

.ui-myicon-library { 
	 width: 45px; height: 45px; 
	 background-image: url(../images/icons/cloud.png) !important;
	 background-size: cover;
	 background-position: -5px -5px;
}

.ui-myicon-restart { 
	 width: 35px; height: 35px; 
	 background-image: url(../images/icons/restart.png) !important;
	 background-size: cover;
	 background-position: 0px 0px;
}

.ui-myicon-grid { 
	 width: 35px; height: 35px; 
	 background-image: url(../images/icons/magnify.png) !important;
	 background-size: cover;
	 background-position: 0px 0px;
}

.ui-myicon-backup { 
	 width: 35px; height: 35px; 
	 background-image: url(../images/icons/magnify.png) !important;
	 background-size: cover;
	 background-position: 0px 0px;
}



